<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8">
    <meta name="generator" content="GitLab Pages">
    <title>Plain HTML site using GitLab Pages</title>
    <link rel="stylesheet" href="style.css">

    <script>
    function includeHTML() {
      var z, i, elmnt, file, xhttp;
      /*loop through a collection of all HTML elements:*/
      z = document.getElementsByTagName("*");
      for (i = 0; i < z.length; i++) {
        elmnt = z[i];
        /*search for elements with a certain atrribute:*/
        file = elmnt.getAttribute("w3-include-html");
        if (file) {
          /*make an HTTP request using the attribute value as the file name:*/
          xhttp = new XMLHttpRequest();
          xhttp.onreadystatechange = function() {
            if (this.readyState == 4) {
              if (this.status == 200) {elmnt.innerHTML = this.responseText;}
              if (this.status == 404) {elmnt.innerHTML = "Page not found.";}
              /*remove the attribute, and call this function once more:*/
              elmnt.removeAttribute("w3-include-html");
              includeHTML();
            }
          }
          xhttp.open("GET", file, true);
          xhttp.send();
          /*exit the function:*/
          return;
        }
      }
    };
    </script>

  </head>
  <body>
    <div class="navbar">
      <a href="http://www.fallingfalling.com/">Falling</a>
      <a href="http://www.staggeringbeauty.com/">Shake it</a>
      <a href="http://iamawesome.com/">Yes</a>
    </div>

    <h1>Hello visitor.</h1>

    <p>
      Welcome to this corner of the web.
    </p>

    <div w3-include-html="content.html"></div>
    <script>
        includeHTML();
    </script>

  </body>
</html>
